{ KOL MCK } // Do not remove this line!
{$DEFINE KOL_MCK}
unit MainForm;

interface

{$IFDEF KOL_MCK}
uses Windows, Messages, ShellAPI, KOL {$IFNDEF KOL_MCK}, mirror, Classes, Controls, mckControls, mckObjs, Graphics,  mckCtrls,  MCKMHXP {$ENDIF};
{$ELSE}
{$I uses.inc}
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, mirror;
{$ENDIF}

type
  {$IFDEF KOL_MCK}
  {$I MCKfakeClasses.inc}
  {$IFDEF KOLCLASSES} TMainF = class; PMainF = TMainF; {$ELSE OBJECTS} PMainF = ^TMainF; {$ENDIF CLASSES/OBJECTS}
  {$IFDEF KOLCLASSES}{$I TMainF.inc}{$ELSE} TMainF = object(TObj) {$ENDIF}
    Form: PControl;
  {$ELSE not_KOL_MCK}
  TMainF = class(TForm)
  {$ENDIF KOL_MCK}
    KOLProject1: TKOLProject;
    MainF: TKOLForm;
    PersNameEd: TKOLEditBox;
    NidEd: TKOLEditBox;
    Label1: TKOLLabel;
    Label2: TKOLLabel;
    CloseBut: TKOLButton;
    AboutBut: TKOLButton;
    NameToIdBut: TKOLBitBtn;
    ImageList1: TKOLImageList;
    IdToNameBut: TKOLBitBtn;
    procedure CloseButClick(Sender: PObj);
    procedure AboutButClick(Sender: PObj);
    procedure NameToIdButClick(Sender: PObj);
    procedure IdToNameButClick(Sender: PObj);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainF {$IFDEF KOL_MCK} : PMainF {$ELSE} : TMainF {$ENDIF} ;

{$IFDEF KOL_MCK}
procedure NewMainF( var Result: PMainF; AParent: PControl );
{$ENDIF}

implementation
uses VersionForm, Initer;

{$IFNDEF KOL_MCK} {$R *.DFM} {$ENDIF}

{$IFDEF KOL_MCK}
{$I MainForm_1.inc}
{$ENDIF}

procedure TMainF.CloseButClick(Sender: PObj);
begin
  Form.Close;
end;

procedure TMainF.AboutButClick(Sender: PObj);
begin
  //  " ".
  NewVersionF(VersionF,Form);
  VersionF.Form.ShowModal;
  VersionF.Form.Free;
end;

procedure TMainF.NameToIdButClick(Sender: PObj);
begin
  NidEd.Text := Int2Str(Name2NID(PersNameEd.Text));
end;

procedure TMainF.IdToNameButClick(Sender: PObj);
begin
  PersNameEd.Text := NID2Name(Str2Int(NidEd.Text));
end;

end.






