{ KOL MCK } // Do not remove this line!
{$DEFINE KOL_MCK}
unit VersionForm;

interface

{$IFDEF KOL_MCK}
uses Windows, Messages, ShellAPI, KOL {$IFNDEF KOL_MCK}, mirror, Classes, Controls, mckControls, mckObjs, Graphics,
  mckCtrls {$ENDIF};
{$ELSE}
{$I uses.inc}
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;
{$ENDIF}

type
  {$IFDEF KOL_MCK}
  {$I MCKfakeClasses.inc}
  {$IFDEF KOLCLASSES} TVersionF = class; PVersionF = TVersionF; {$ELSE OBJECTS} PVersionF = ^TVersionF; {$ENDIF CLASSES/OBJECTS}
  {$IFDEF KOLCLASSES}{$I TVersionF.inc}{$ELSE} TVersionF = object(TObj) {$ENDIF}
    Form: PControl;
  {$ELSE not_KOL_MCK}
  TVersionF = class(TForm)
  {$ENDIF KOL_MCK}
    VersionF: TKOLForm;
    CloseBut: TKOLButton;
    ProgaNamLab: TKOLLabel;
    Label1: TKOLLabel;
    FileVerLab: TKOLLabel;
    CopyrightLab: TKOLLabel;
    Label2: TKOLLabel;
    CraftedByLab: TKOLLabel;
    CommentLab: TKOLLabel;
    DescrLab: TKOLLabel;
    procedure VersionFBeforeCreateWindow(Sender: PObj);
    procedure VersionFPaint(Sender: PControl; DC: HDC);
    procedure CloseButClick(Sender: PObj);
  private
    { Private declarations }
    FirstShowed : boolean;
  public
    { Public declarations }
  end;

var
  VersionF {$IFDEF KOL_MCK} : PVersionF {$ELSE} : TVersionF {$ENDIF} ;

{$IFDEF KOL_MCK}
procedure NewVersionF( var Result: PVersionF; AParent: PControl );
{$ENDIF}

implementation
uses initer;

{$IFNDEF KOL_MCK} {$R *.DFM} {$ENDIF}

{$IFDEF KOL_MCK}
{$I VersionForm_1.inc}
{$ENDIF}

procedure TVersionF.VersionFBeforeCreateWindow(Sender: PObj);
begin
  FirstShowed := false;  //   .
end;

procedure TVersionF.VersionFPaint(Sender: PControl; DC: HDC);
begin
  If FirstShowed = false then begin
    //   ...
    FirstShowed := true;

    //     ...
    ProgaNamLab.Caption := VerInfo.ProductName;
    DescrLab.Caption := VerInfo.FileDescription;
    FileVerLab.Caption := VerInfo.FileVersion;
    CopyrightLab.Caption := VerInfo.LegalCopyright;
    CraftedByLab.Caption := VerInfo.CraftedBy;
    CommentLab.Caption := VerInfo.Comments;
  end;
end;

procedure TVersionF.CloseButClick(Sender: PObj);
begin
  Form.Close;  //  ! :)
end;

end.



